#### Previous topic

scipy.interpolate.bisplrep

#### Next topic

scipy.interpolate.lagrange

# scipy.interpolate.bisplev

`scipy.interpolate.``bisplev`(x, y, tck, dx=0, dy=0)

  Evaluate a bivariate B-spline and its derivatives.

  Return a rank-2 array of spline function values (or spline derivative values) at points given by the cross-product of the rank-1 arrays x and y. In special cases, return an array or just a float if either x or y or both are floats. Based on BISPEV from FITPACK.

  Parameters:

  x, y : ndarray

  > Rank-1 arrays specifying the domain over which to evaluate the spline or its derivative.

  tck : tuple

  > A sequence of length 5 returned by `bisplrep` containing the knot locations, the coefficients, and the degree of the spline: [tx, ty, c, kx, ky].

  dx, dy : int, optional

  > The orders of the partial derivatives in x and y respectively.

  Returns:

  vals : ndarray

  > The B-spline or its derivative evaluated over the set formed by the cross-product of x and y.

  See also

  `splprep`, `splrep`, `splint`, `sproot`, `splev`, `UnivariateSpline`, `BivariateSpline`

  Notes

  See `bisplrep` to generate the tck representation.

  References

  [R67] | Dierckx P. : An algorithm for surface fitting with spline functions Ima J. Numer. Anal. 1 (1981) 267-283.

  [R68] | Dierckx P. : An algorithm for surface fitting with spline functions report tw50, Dept. Computer Science,K.U.Leuven, 1980.

  [R69] | Dierckx P. : Curve and surface fitting with splines, Monographs on Numerical Analysis, Oxford University Press, 1993.